##### basic_seq_packet_socket::bind (2 of 2 overloads)

Inherited from basic_socket.

Bind the socket to the given local endpoint.

    void bind(
        const endpoint_type & endpoint,
        asio::error_code & ec);

This function binds the socket to the specified endpoint on the local machine.

###### Parameters

endpoint

  An endpoint on the local machine to which the socket will be bound.

ec

  Set to indicate what error occurred, if any.

###### Example

    asio::ip::tcp::socket socket(my_context);
    socket.open(asio::ip::tcp::v4());
    asio::error_code ec;
    socket.bind(asio::ip::tcp::endpoint(
          asio::ip::tcp::v4(), 12345), ec);
    if (ec)
    {
      // An error occurred.
    }